List opportunities
curl --request GET \
--url https://www.ruddr.io/api/workspace/opportunities \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/opportunities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/opportunities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "6739fb0c-d986-4eee-a427-3fbd68f66f76",
"name": "Acme Corp - Mobile App",
"description": "Proposal for a new mobile application.",
"nextSteps": "Follow up with client on proposal.",
"amount": 50000,
"probability": 0.75,
"priorityId": "high",
"createdAt": "2025-01-15T20:47:03.284Z",
"openDate": "2025-01-15",
"closeDate": "2025-06-30",
"modifiedAt": "2025-01-15T20:47:03.284Z",
"currency": "USD",
"cloudFolderUrl": "https://drive.google.com/drive/folders/abc123",
"weightedAmount": 37500,
"owner": {
"id": "94bc043d-95cb-4f4b-8a9f-8e74cd3dd0db",
"name": "John Davis"
},
"opportunityLeadSource": {
"id": "1df022a4-0e91-463f-a88c-b6149c322abd",
"name": "Referral"
},
"opportunityType": {
"id": "8ab56d67-b2f1-40b0-be44-f99556b4aae9",
"name": "New Business"
},
"tags": [
{
"id": "dbdf3703-1fa6-419c-957e-ff427b39d1e6",
"name": "Enterprise"
}
],
"practice": {
"id": "65935388-b0a1-49ed-97e0-6f0d909af05e",
"name": "Consulting"
},
"company": {
"id": "a961cced-0689-4951-9929-9760057618fd",
"name": "Acme Corp",
"client": {
"id": "aa39afdb-e168-4956-b061-41c7c62e8c2e",
"key": "acme-corp",
"name": "Acme Corp"
}
},
"projects": [
{
"id": "8274644a-2b50-46ac-b84d-ade1cefa3b4f",
"name": "Mobile App Development",
"amount": 50000
}
],
"opportunityStage": {
"id": "5fa87e8d-a60f-402e-b9dc-2fd33626cbd9",
"name": "Proposal",
"statusId": "open"
},
"opportunityPipeline": {
"id": "b9c85ac3-1a1d-4f31-a0c5-6e7d3d8ee0b2",
"name": "Sales"
},
"timeSpent": 120,
"salesforceId": "0060b00000BkFxAAAV",
"hubspotId": "12345678"
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Pipeline' is not enabled."
}Opportunities
List opportunities
GET
/
opportunities
List opportunities
A potential business deal within a company, typically with an associated revenue value and sales details like stage, owner, probability, and expected close date.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
Filter by opportunity name when it exactly matches the provided keyword.
⌘I